Skip to main content
GET
/
apps
/
{app}
/
integrations
/
{integrationId}
Get an integration
curl --request GET \
  --url https://api.phare.io/apps/{app}/integrations/{integrationId} \
  --header 'Authorization: Bearer <token>'
{
  "id": 1,
  "name": "DevOps Team",
  "paused": false,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Path Parameters

app
string
required

The app key

integrationId
integer
required

ID of the integration to show

Response

Success, integration retrieved

id
integer

Integration ID

Example:

1

name
string

Integration name

Example:

"DevOps Team"

paused
boolean

Integration paused status

Example:

false

created_at
string<date-time>

Date of creation for the entity

updated_at
string<date-time>

Date of last update for the entity